{
    attributes = (
        {
            allowsNull = N; 
            columnName = "ID_TYPE_CONTRAT_DOCTORAL"; 
            name = idTypeContratDoctoral; 
            prototypeName = id; 
        }, 
        {
            columnName = "LIBELLE_TYPE_CONTRAT_DOCTORAL"; 
            externalType = VARCHAR2; 
            name = libelleTypeContratDoctoral; 
            valueClassName = NSString; 
            width = 100; 
        }
    ); 
    attributesUsedForLocking = (idTypeContratDoctoral); 
    className = "org.cocktail.fwkcktlrecherche.server.metier.EOTypeContratDoctoral"; 
    classProperties = (libelleTypeContratDoctoral); 
    externalName = "RECHERCHE.Type_Contrat_Doctoral"; 
    fetchSpecificationDictionary = {}; 
    name = TypeContratDoctoral; 
    primaryKeyAttributes = (idTypeContratDoctoral); 
}
